As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 759076 - Enable ccache for Linux 64 debug builds
: Enable ccache for Linux 64 debug builds
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Mark Banner (:standard8)
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 658644
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 04:25 PDT by Mark Banner (:standard8)
Modified: 2012-05-30 08:19 PDT (History)
5 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
The fix (593 bytes, patch)
2012-05-28 04:25 PDT, Mark Banner (:standard8)
ted: review+
bhearsum: review+
Details | Diff | Splinter Review

Description User image Mark Banner (:standard8) 2012-05-28 04:25:06 PDT
Created attachment 627661 [details] [diff] [review]
The fix

It looks like Bug 658644 initially meant to enable ccache for Linux 64 bit debug builds, but didn't quite make it into the final patch.

We've been using it on the Thunderbird builds for a while, so I can't see any reason not to have it on the debug builds.

I've just pushed the attached patch to try, so I'll request review if it succeeds.
Comment 1 User image Mark Banner (:standard8) 2012-05-28 05:19:18 PDT
Comment on attachment 627661 [details] [diff] [review]
The fix

Worked on try. Not sure who reviews mozconfig changes...
Comment 2 User image Ted Mielczarek [:ted.mielczarek] 2012-05-29 05:54:47 PDT
Comment on attachment 627661 [details] [diff] [review]
The fix

Review of attachment 627661 [details] [diff] [review]:
-----------------------------------------------------------------

Generally one of Build Config or RelEng review is sufficient. We're sort of co-owning them.
Comment 4 User image Mark Banner (:standard8) 2012-05-30 07:58:14 PDT
This landed earlier:

https://hg.mozilla.org/mozilla-central/rev/9df54b979922

Note You need to log in before you can comment on or make changes to this bug.